> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Calculation Assumptions

> Updates the calculation assumptions for a specific building project. This endpoint allows you to configure referenced areas, calculation type, heat area, soil data, energy data, and project metadata used in the LCA (Life Cycle Assessment) calculations.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml put /BuildingProject/updatecalculationassumptions/{buildingProjectId}
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /BuildingProject/updatecalculationassumptions/{buildingProjectId}:
    servers:
      - url: https://api.realtimelca.com/rest/api
    parameters:
      - name: buildingProjectId
        in: path
        required: true
        schema:
          type: string
    put:
      tags:
        - Project
        - Update Project
      summary: Update Calculation Assumptions
      description: >-
        Updates the calculation assumptions for a specific building project.
        This endpoint allows you to configure referenced areas, calculation
        type, heat area, soil data, energy data, and project metadata used in
        the LCA (Life Cycle Assessment) calculations.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                referencedAreas:
                  type: object
                  properties:
                    values:
                      type: object
                      properties:
                        '8':
                          type: integer
                    totalAreaIncludingBasement:
                      type: integer
                    totalReferencedAreaInclBasement:
                      type: number
                    basementFloors:
                      type: integer
                    areaAboveGround:
                      type: integer
                    floorsAboveGround:
                      type: integer
                    areaBelowGround:
                      type: integer
                calculationType:
                  type: object
                  properties:
                    calculationTypeEnum:
                      type: integer
                    considerationPeriod:
                      type: integer
                    extraThresholds:
                      type: array
                      items: {}
                    thresholdLimitWithoutExtra:
                      type: integer
                    thresholdLimitWithExtra:
                      type: integer
                heatArea:
                  type: object
                  properties:
                    heatedFloorAreaAboveGround:
                      type: integer
                    heatedBasementArea:
                      type: integer
                soilData:
                  type: object
                  properties:
                    movedByMachinery:
                      type: integer
                    movedAmountM3:
                      type: integer
                projectEnergyData:
                  type: object
                  properties:
                    operationHeatConsumption:
                      type: number
                    operationElectricityConsumption:
                      type: number
                    operationElectricitySupply:
                      type: integer
                    operationHeatSupply:
                      type: integer
                    operationExportedElectricity:
                      type: integer
                    constructHeatConsumption:
                      type: integer
                    constructElectricityConsumption:
                      type: integer
                    constructElectricitySupply:
                      type: integer
                    constructHeatSupply:
                      type: integer
                    validatedBy:
                      type: string
                    validationDate:
                      type: string
                      format: date
                metaDataRequest:
                  type: object
                  properties:
                    yearOfConstruction:
                      type: integer
                    yearOfStart:
                      type: integer
                    includedPhases:
                      type: array
                      items:
                        type: string
                    includedPhasesTranslated:
                      type: array
                      items:
                        type: string
            example:
              referencedAreas:
                values:
                  '8': 15
                totalAreaIncludingBasement: 185
                totalReferencedAreaInclBasement: 188.75
                basementFloors: 0
                areaAboveGround: 185
                floorsAboveGround: 1
                areaBelowGround: 0
              calculationType:
                calculationTypeEnum: 0
                considerationPeriod: 42
                extraThresholds: []
                thresholdLimitWithoutExtra: 42
                thresholdLimitWithExtra: 12
              heatArea:
                heatedFloorAreaAboveGround: 185
                heatedBasementArea: 0
              soilData:
                movedByMachinery: 0
                movedAmountM3: 0
              projectEnergyData:
                operationHeatConsumption: 1.2
                operationElectricityConsumption: 3.2
                operationElectricitySupply: 0
                operationHeatSupply: 0
                operationExportedElectricity: 20
                constructHeatConsumption: 0
                constructElectricityConsumption: 0
                constructElectricitySupply: 0
                constructHeatSupply: 0
                validatedBy: mrh
                validationDate: '2020-02-20'
              metaDataRequest:
                yearOfConstruction: 2042
                yearOfStart: 2024
                includedPhases:
                  - A4
                  - A5
                  - B1
                  - B2
                  - B3
                  - B4
                  - B5
                  - B6
                  - B7
                includedPhasesTranslated:
                  - A1A3
                  - B4
                  - C3
                  - C4
                  - D
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````